
Figure - Bug #112704
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111047 (New): AF-V2.0-小窗模式

【AF】【EVT】【小窗模式】小窗大小与VC1及VX1的屏幕不适配（实屏幕和单独投屏都有此问题）
2022-10-19 14:42 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-19

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221019.alpha

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2022-10-20

Test Type: IT Root cause: 缩放比计算错误，导致视图效果被压缩。

Description

【前提条件】

1、设备已开机

【测试步骤】

1、长按时钟应用、进入小窗模式

2、观察页面显示

【预期结果】

2、页面合理

【实际结果】

2、小窗大小与VC1的屏幕不适配，有被压缩的感觉

【复现率】

100%

【Log】

Log见附件

History

#1 - 2022-10-19 16:35 - DL FW-张挽强

- Status changed from New to ASSIGNED

- Assignee changed from DL FW-张挽强 to CD TEST-方永红

Window #11 Window{f3594ad u0 com.android.deskclock/com.android.deskclock.DeskClock}:

    mDisplayId=0 rootTaskId=1865 mSession=Session{a8b601 10178:u0a10068} mClient=android.os.BinderProxy@31b1dc4

    mOwnerUid=10068 showForAllUsers=false package=com.android.deskclock appop=NONE

    mAttrs={(0,0)(fillxfill) sim={adjust=pan forwardNavigation} ty=BASE_APPLICATION wanim=0x10302fe

      fl=LAYOUT_IN_SCREEN LAYOUT_INSET_DECOR SPLIT_TOUCH HARDWARE_ACCELERATED DRAWS_SYSTEM_BAR_BACKGROUNDS

      pfl=NO_MOVE_ANIMATION FORCE_DRAW_STATUS_BAR_BACKGROUND USE_BLAST FIT_INSETS_CONTROLLED

      vsysui=LAYOUT_STABLE LAYOUT_HIDE_NAVIGATION LAYOUT_FULLSCREEN

      bhv=DEFAULT

      fitSides=}
    Requested w=630 h=1120 mLayoutSeq=315

    mBaseLayer=21000 mSubLayer=0    mToken=ActivityRecord{6289818 u0 com.android.deskclock/.DeskClock t1865}

    mActivityRecord=ActivityRecord{6289818 u0 com.android.deskclock/.DeskClock t1865}

    mAppDied=false    drawnStateEvaluated=true    mightAffectAllDrawn=true

    mViewVisibility=0x0 mHaveFrame=true mObscured=false

    mGivenContentInsets=[0,0][0,0] mGivenVisibleInsets=[0,0][0,0]

    mFullConfiguration={1.0 ?mcc?mnc [zh_CN] ldltr sw420dp w420dp h746dp 240dpi nrml long hdr port -touch -keyb/v/h -nav/h winConfig={ mBounds=Rect(0, 36 -

630, 1156) mAppBounds=Rect(0, 36 - 630, 1156) mMaxBounds=Rect(0, 0 - 2380, 1020) mWindowingMode=freeform mDisplayWindowingMode=fullscreen

mActivityType=standard mAlwaysOnTop=undefined mRotation=ROTATION_0} s.5 fontWeightAdjustment=0}

    mLastReportedConfiguration={1.0 ?mcc?mnc [zh_CN] ldltr sw420dp w420dp h746dp 240dpi nrml long hdr port -touch -keyb/v/h -nav/h winConfig={

mBounds=Rect(0, 36 - 630, 1156) mAppBounds=Rect(0, 36 - 630, 1156) mMaxBounds=Rect(0, 0 - 2380, 1020) mWindowingMode=freeform

mDisplayWindowingMode=fullscreen mActivityType=standard mAlwaysOnTop=undefined mRotation=ROTATION_0} s.5 fontWeightAdjustment=0}

    mHasSurface=true isReadyForDisplay()=true mWindowRemovalAllowed=false

    Frames: containing=[0,36][630,1156] parent=[0,36][630,1156] display=[0,36][630,1156]

    mFrame=[0,36][630,1156] last=[0,36][630,1156]

     surface=[0,0][0,0]

    WindowStateAnimator{c82dcfe com.android.deskclock/com.android.deskclock.DeskClock}:

      mSurface=Surface(name=com.android.deskclock/com.android.deskclock.DeskClock)/@0xd81ac5f

      Surface: shown=true layer=0 alpha=1.0 rect=(0.0,0.0)  transform=(1.0, 0.0, 0.0, 1.0)

      mDrawState=HAS_DRAWN       mLastHidden=false

      mEnterAnimationPending=false      mSystemDecorRect=[0,0][0,0]

    mForceSeamlesslyRotate=false seamlesslyRotate: pending=null finishedFrameNumber=0

    mHScale=0.8 mVScale=0.8

    isOnScreen=true

    isVisible=true

根据window 的dump信息看 缩放比没有问题，之前说这个问题，https://share.thundersoft.com/redmine/issues/112035

跟这个问题是一样的，小窗只能做到等比缩放，如果后续觉得布局不合理，具体布局需要应用自己进行适配

#2 - 2022-10-19 17:10 - CD TEST-方永红

- Subject changed from 【AF】【EVT】【小窗模式】小窗大小与VC1及VX1的屏幕不适配（实屏幕和单独投屏都有此问题 to 【AF】【EVT】【小窗模式】

小窗大小与VC1及VX1的屏幕不适配（实屏幕和单独投屏都有此问题）

- Assignee changed from CD TEST-方永红 to DL FW-张挽强

#3 - 2022-10-19 17:40 - DL FW-张挽强

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from DL FW-张挽强 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Fixed Version set to 2022-10-20

- Root cause set to 缩放比计算错误，导致视图效果被压缩。

#4 - 2022-10-20 11:14 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

10.20日user，显示正常，可以关闭

#5 - 2022-10-20 11:14 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

2025-07-04 2/3

https://share.thundersoft.com/redmine/issues/112035


Files

小窗被压缩.png 186 KB 2022-10-19 CD TEST-方永红

xiaochuang.txt 1.14 MB 2022-10-19 CD TEST-方永红

正常小窗.jpg 428 KB 2022-10-19 CD TEST-方永红
